{{log "npc-sheet.hbs" this}}

<form class="{{cssClass}} flexcol" autocomplete="off">
  <div class="npc">

    {{!-- Sheet Header --}}
    <header class="npc-sheet-header flexrow">
        <img id="drag-link" class="npc-profile-img" src="{{actor.img}}" data-edit="img" data-tooltip="{{actor.name}}" height="64" width="64" />
        {{#if game.user.isGM}}
          <i data-tooltip="Clone NPC to Character" style="flex-basis: 15px;flex-grow: 0;margin-bottom:40px;" class="clone-covert-actor fa-solid fa-dna"></i>
        {{/if}}

        <div class="npc-header-fields">
          <div><input class="actorname" name="name" type="text" value="{{actor.name}}" placeholder="Name"/></div>
        </div>
    </header>
    <div class="flexrow">
        {{#if system.attributes.identified}}
        {{else}}
          <div class="flexrow" data-tooltip="Alias used when Actor not identified">
              <label style="flex-grow:0; margin-top:auto;margin-bottom:auto;margin-right:5px;">{{localize "ARS.alias"}}</label><input style="flex-grow:2;" name="system.alias" type="text" value="{{system.alias}}" placeholder="Alias Name"/>
          </div>
        {{/if}}
        <div><input class="npc-identification" type="checkbox" name="system.attributes.identified" {{ checked system.attributes.identified }} />{{localize "ARS.identified"}}</div>    
    </div>
    
    <nav class="sheet-tabs" data-group="primary">
      <div class="tab-items flexrow">
          <a class="item" data-tab="main"><i class="fas fa-dice-d20"></i> Main</a>
          <a class="item" data-tab="attributes"><i class="fas fa-superpowers"></i>  Attributes</a>
          <a class="item" data-tab="combat"><i class="fas fa-swords"></i> Combat</a>
          <a class="item" data-tab="items"><i class="fas fa-backpack"></i> Gear</a>
          <a class="item" data-tab="proficiencies"><i class="fas fa-ruler"></i> {{localize "ARS.tabs.proficiencies"}}</a>
          <a class="item" data-tab="details"><i class="fas fa-search"></i> Details</a>
          <a class="item" data-tab="description"><i class="fas fa-file-alt"></i> Description</a>
      </div>
    </nav>    

      {{!-- Sheet Body --}}
    <section class="sheet-body">
      {{!-- Main --}}
      <div class="tab main" data-group="primary" data-tab="main">
        <table>
          <tr>
            <td>
            <div>
              {{> "systems/osric/templates/parts/actor/npc-stat-block.hbs"}}
            </div>
            </td>
          </tr>
        </table>
        
      </div>

      {{!-- Attributes --}}
      <div class="tab attributes" data-group="primary" data-tab="attributes">
        <div class="ability-save-grid">
          {{!-- ability scores --}}
          {{> "systems/osric/templates/parts/actor/abilityScore-block.hbs"}}

          {{!-- saves --}}
          {{> "systems/osric/templates/parts/actor/save-block.hbs"}}

        </div>
          {{!-- combatStats ac/hp/thaco/move/etc --}}
          {{> "systems/osric/templates/parts/actor/combat-stats-block.hbs"}}          
      </div>

      {{!-- Combat --}}
      <div class="tab combat" data-group="primary" data-tab="combat">
        {{> "systems/osric/templates/actor/tabs/tab-combat.hbs" }}
      </div>


      {{!-- <div class="tab inventory" data-group="primary" data-tab="inventory">
        {{> "systems/osric/templates/parts/actor/inventorylist-block.hbs"}} 
      </div> --}}
      {{!-- Gear/Owned Items Tab --}}
      <div class="tab items" data-group="primary" data-tab="items">
          <div class="gear-block">
              {{> "systems/osric/templates/parts/actor/currency-block.hbs" }}
              {{> "systems/osric/templates/parts/actor/inventoryList-Sorted-block.hbs"}}
          </div>
      </div>

      {{!-- Proficiencies Tab --}}
      <div class="tab proficiencies" data-group="primary" data-tab="proficiencies">
          <div class="proficiencies-block">
              {{> "systems/osric/templates/parts/actor/itemsByTypeList-block.hbs" itemsByTypeList=config.academicTypes}}
          </div>
          {{!-- skills --}}
          {{#if actor.system.skills}}
              <div class="skill-block">
                  {{> "systems/osric/templates/parts/actor/skills-block.hbs"}}
              </div>
          {{/if}}                
      </div>

      {{!-- Details tab --}}
      <div class="tab details" data-group="primary" data-tab="details">
        <fieldset>
            <legend>{{ localize "ARS.effects" }}</legend>
            {{> "systems/osric/templates/parts/active-effects.hbs"}}
        </fieldset>

        <div class="race-background-block flexrow">
            {{> "systems/osric/templates/parts/actor/itemsByTypeList-block.hbs" itemsByTypeList=config.detailsItemTypes}}
        </div>      

        {{> "systems/osric/templates/parts/actor/classlist-block.hbs"}}
        {{> "systems/osric/templates/parts/actor/character-general-block.hbs"}}
      </div>
      
      {{!-- description tab --}}
      <div class="tab description" data-group="primary" data-tab="description">
        <label>{{ localize "ARS.npcdescription" }}</label>
        {{> "systems/osric/templates/parts/actor/description.hbs"}}
      </div>    
    </section>

  </div>
</form>